ScXMLReferenceDataObj(3)

NAME
ScXMLReferenceDataObj - A data object representing a reference to another object in the data model.

SYNOPSIS

#include <Inventor/scxml/ScXMLEvaluator.h>

Inherits ScXMLExprDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
ScXMLReferenceDataObj (const char *reference)
void setReference (const char *reference)
const char * getReference (void) const
virtual SbBool evaluateNow (ScXMLStateMachine *sm, ScXMLDataObj *&pointer) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static ScXMLDataObj * createFor (const char *reference)

  Additional Inherited Members

Detailed Description

A data object representing a reference to another object in the data model.

Member Function Documentation

  SoType ScXMLReferenceDataObj::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLExprDataObj.

  SbBool ScXMLReferenceDataObj::evaluateNow (ScXMLStateMachine * sm, ScXMLDataObj *& pointer) const [virtual]

Implements ScXMLExprDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.